
<div class="container bd" id="exec">
    <h2>代码</h2>
    <div class="col-xs-12">
        <textarea style="width: 100%; height: 150px" v-model="data"></textarea>
        <button>Execute</button>
    </div>
    <div class="col-xs-12 col-md-6">
        <iframe src="" :style="'width:100%; height:200px;'" frameborder="0" id="ifmDemo"></iframe>
    </div>
    <div class="col-xs-12 col-md-6">
        {{php}}
    </div>
    
</div>
<script>
    new Vue({
        el : '#exec'
        ,data:{
            data:''
            ,php:''
            ,h:100
        }
        , methods:{
            renderPhp:function(v){
                this.php=v;
            }
            ,renderHtml:function(v){
                var ifmDemo = $(this.$el).find('#ifmDemo');
                if(ifmDemo.length<1)return;
                ifmDemo = ifmDemo[0];
                var win = ifmDemo.contentWindow
                var doc = win.document;
                var html = ''
                html += '<script type="text/javascript" src="js/jquery-3.3.1.min.js"></'+'script>';
                html += '<script type="text/javascript" src="js/EtSoftWare.8.0.js?0"></'+'script>';
                html += v;
                html += '<script>ET($(document.body).find("[et]"));<'+'/script>';
                $(doc.body).empty();
                doc.write(html);
            }
        }
        , watch:{
            'data':function(v){
                this.renderHtml(v);
                this.renderPhp(v);
            }
        }
        ,updated:function(){
            var rect = ET.element.getRect('body')
            this.h = rect.height - 260;
        }
    });
</script>
